
QGIS Application - Bug report #18570

QGIS 3.0.1 crash on startup

2018-03-28 10:29 PM - Roberto EGA

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 7 professional service pack 1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 26458

Description

I had the same issue with QGIS 3.0.0. I can download the install file just fine and it loads correctly on my machine. However, when I open

the program (QGIS Desktop 3.0.1 with GRASS 7.4), I get a pop up stating that QGIS crashed.

User Feedback

Report Details

Crash ID: 4e4ffc7725df85c6d291d1221e547bbb37eb3b64

Stack Trace

RtlFreeHeap :

HeapFree :

free :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

Ordinal865 :

Ordinal865 :

QWidgetPrivate::registerDropSite :

QStackedWidget::`default constructor closure' :

QInputDialog::getInteger :

QgsDataCollectionItem::iconDir :

QgsDirectoryItem::icon :

QgsBrowserModel::data :

QSortFilterProxyModel::data :

QModelIndex::data :

QStyledItemDelegate::initStyleOption :

QStyledItemDelegate::sizeHint :

QTreeView::indexRowSizeHint :

QTreeViewPrivate::itemHeight :

QTreeViewPrivate::updateScrollBars :

QTreeView::updateGeometries :

QAbstractItemView::doItemsLayout :

QTreeView::doItemsLayout :

QTreeView::sizeHintForColumn :

QHeaderView::resizeSections :

QHeaderView::sectionPosition :

QHeaderView::sectionViewportPosition :

QHeaderView::resizeSection :

QHeaderView::setStretchLastSection :

QgsBrowserDockWidget::showEvent :

QWidget::event :

QDockWidget::event :
QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::show_helper :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QgisApp::QgisApp :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.1-Girona

QGIS code revision: commit:a86bec25eb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-03-28 10:29 PM - Roberto EGA

- Copied from Bug report #18548: QGIS 3.0.1 crash on startup added

#2 - 2018-04-19 07:16 AM - Harrissou Santanna

- Resolution deleted (fixed/implemented)

- Status changed from Open to Closed

Closing as it duplicates #18548 (Better focus on a single report).

#3 - 2018-09-23 02:57 PM - Jürgen Fischer

- Copied from deleted (Bug report #18548: QGIS 3.0.1 crash on startup)

#4 - 2018-09-23 02:58 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added

#5 - 2018-09-23 02:58 PM - Jürgen Fischer

- Resolution set to duplicate
